Subject: Re: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: martin rudalics <[email-masked]>
Date: Wed, 22 Jan 2014 11:35:42 +0100

>  > Your fix works and makes sense. The documentation of window-width
 > says: "[If] a column at the right of the text area is only partially
 > visible, that counts as a whole column; to exclude partially-visible
 > columns, use `window-text-width'."
 >
 > That text was my invention though.  I simply adapted the doc-string of
 > `window-body-height' which says
 >
 >   If PIXELWISE is nil and a line at the bottom of the text area is only
 >   partially visible, that counts as a whole line; to exclude
 >   partially-visible lines, use `window-text-height'.
 >
 > to the width specification.

I now restored the old truncation behavior of `window-body-width' and
also that of `term-window-width'.  Please tell me if there are any
problems.

martin